Package com.enonic.xp.app

## Class ApplicationWildcardResolver

- java.lang.Object
- - com.enonic.xp.app.ApplicationWildcardResolver

-     @Deprecated
      public class ApplicationWildcardResolver
      extends Object

  Deprecated.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ANY_WILDCARD` | Deprecated.
    `static String` | `APP_WILDCARD` | Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationWildcardResolver()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `hasAnyWildcard​(String s)` | Deprecated.
    `String` | `resolveAppWildcard​(String nameToResolve, ApplicationKey applicationKey)` | Deprecated.
    `boolean` | `startWithAppWildcard​(String s)` | Deprecated.
    `boolean` | `stringHasWildcard​(String contentTypeName)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### APP_WILDCARD

          public static final String APP_WILDCARD

      Deprecated.
      See Also:
        Constant Field Values

    - #### ANY_WILDCARD

          public static final String ANY_WILDCARD

      Deprecated.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ApplicationWildcardResolver

          public ApplicationWildcardResolver()

      Deprecated.

  - ### Method Detail

    - #### stringHasWildcard

          public boolean stringHasWildcard​(String contentTypeName)

      Deprecated.

    - #### startWithAppWildcard

          public boolean startWithAppWildcard​(String s)

      Deprecated.

    - #### hasAnyWildcard

          public boolean hasAnyWildcard​(String s)

      Deprecated.

    - #### resolveAppWildcard

          public String resolveAppWildcard​(String nameToResolve,
                                           ApplicationKey applicationKey)

      Deprecated.